<?php

namespace Teknisa\CNC\Services;

use Teknisa\CNC\Utilities;
use Teknisa\CNC\Factories;

class TipoRecebimento {

	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager, Factories\TipoReceFactory $tiporeceFactory)  {
		$this->entityManager 	= $entityManager;
		$this->tiporeceFactory  = $tiporeceFactory;
	}

	public function getReceive($row){
		$acquires = $this->tiporeceFactory->getReceive(array(
			':NRORG'    	 => $row['NRORG'],
            ':LABELTIPORECE' => $row['LABELTIPORECE']
        ));
		return $acquires;
	}

}